//
//  PreferenceController.h
//  Teps-AppleEvents
//
//  Created by steve on Sep-01-2008.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString* sPrefClearWindowForNewCustomerID; // 2011-10-08steve


@interface PreferenceController : NSWindowController
{
	IBOutlet NSColorWell *ibColorWell;
	IBOutlet NSButton *ibButton1;
	
	NSWindow*	fParentWindow;
	NSTimer*	fDoAutoCloseTimer;	// 2008-08-31
	NSString*	fImagePath;	// 2008-08-31

	NSMutableDictionary* fBeforeDictionary;
	
}

@property (nonatomic,retain) NSMutableDictionary* fBeforeDictionary;


- (IBAction) handleColorWell:(id)sender;
- (IBAction) handleButton1:(id)sender;
- (IBAction) ibHandleDirectionButton:(id)sender;
-(IBAction) ibHandleShowMenuBarButton:(id)sender;
-(IBAction) ibHandleRowColEntry:(id)sender;
-(IBAction) ibRevealInFinder:(id)sender;	// 2011-08-18steve
-(IBAction) ibEnableOverlayButton:(id)sender;	// 2011-08-18steve
-(IBAction) ibToggleNSDatePickerCheckbox:(id)sender;	// 2011-09-20steve
-(IBAction) ibTestNSDatePicker:(id)sender;	// 2011-09-20steve

- (IBAction) ibChangeImage:(id)sender;
- (IBAction) ibRelaunchApp:(id)param;
- (IBAction) ibClearEntryButton:(id)sender;
- (IBAction) ibQuitApp:(id)sender;

- (IBAction) ibChangeTextFont:(id)sender;	// 2011-08-31steve


+ (NSString*)getPrefStbImagePathA;
+ (NSString*)getPrefStbImagePathB;
+ (NSString*)getPrefStbImagePathC;
+ (NSString*)getPrefStbOverlayPath;
+ (NSString*)getPrefMasterOverlayPath;
+ (short)getPrefStbShiftTextByYPixels;	// 2008-10-20steve
+ (NSColor*)getPrefStbTextColor;
+ (short)getPrefAutoCloseZoomWindowSeconds;
+ (BOOL)getPrefDoDisplayImageNumberOnly;
+ (BOOL)getPrefDoRepeatPhoto1;
+ (BOOL)getUseMasterOverlay;	// 2011-08-18steve

+(float)getFontSize;	// 2011-08-31steve
+(NSString*)getFontName;	// 2011-08-31steve





- (void) handleTepsOpenPreferencePanelNotification:(NSNotification*) note;
-(void)mySheetDidEnd:(NSWindow*)sheet
		  returnCode:(int)returnCode
		 contextInfo:(void*)contextInfo;


- (void) setupToolbar:(NSWindow*)mainWindow;
- (IBAction)ToolbarItemActionA:(id)sender;
- (IBAction)ToolbarItemActionB:(id)sender;


@end
